// kk_dsg_restore --  22/01/2016
// Script to restore a character's default appearance.
// Created By: Kitty Kitty - PM comments to me on http://www.lucasforums.com/

/* Set BODY and HEAD equal to BASE appearance to reset an (N)PCs appearance
to its default state, and saves pertinent values to the stored globals.    */

#include "kk_inc_dsg"

void main() {
  int iBaseApp;                   // Holds PCs base appearance.

  BandUser = KK_GetNPC();         // Determine armband user.
  SetPartyLeader(BandUser);       // Switch leader to user after dialogue.
  iBaseApp = KK_GetBaseApp();     // Find user's base appearance.
  KK_SetData(iBaseApp, iBaseApp); // Update and save globals.

  // Call main function with both new values (does new body/head combo).
  KK_ApplyDisguise(iBaseApp, iBaseApp, iBaseApp);
}
