// kk_disguise    --  22/01/2016
// Initial script run when user clicks to use the armband
// Created By: Kitty Kitty - PM comments to me on http://www.lucasforums.com/

/* Base script to run the disguise armband.  Basically, the row in Spells.2da
(#135 in my install) looks for an "impact script" for its "Activate Item"
property.  It finds this script name in that field, so this script runs to
start the "kk_i_arm_dsg" dialog so the player can make their selection(s).  */

#include "kk_inc_dsg"

void main() {
  struct GlobNums globData; // Create struct instance to hold our data.

  // We don't need any data here, but we DO need it to be valid for use later
  // so we do some initialization now. KK_CheckData calls KK_GetData to load
  // values (initially 0) from the globals, then it initializes everything
  // to valid 'base values' for all (N)PCs before automatically calling the
  // KK_SaveData function to write real data back to the globals.
  globData = KK_CheckData(KK_GetData());  // Load, Correct, and save globals.
  ActionStartConversation(GetFirstPC(),   // Start conversation - this shifts
    "kk_i_arm_dsg",TRUE);                 // control to the PC automatically
}

